package com.isu.gaswellwatch.dto;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.io.Serial;
import java.time.LocalDateTime;

/**
 * 修改区块对象 blocks
 *
 * @author scwsl
 * @date 2024-11-17
 */
@Getter
@Setter
@SuperBuilder
@NoArgsConstructor
public class BlockEditRequest implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

            /** 主键 */
            @NotNull(message = "ID不能为空")
        private Long id;


            /** 名称 */
            @NotBlank(message = "名称不能为空!")
        private String name;

            /** 描述 */
        private String details;
    /** 部门id */
    private Long departmentId;

}
